View Issue Details

IDProjectCategoryView StatusLast Update
0034991FPCDocumentationpublic2019-02-02 01:07
ReporterKai BurghardtAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSGNU/LinuxOS Version4.2.0
Product Version3.0.4Product Build3.0.4+dfsg-11 [2017/12/30] 
Target VersionFixed in Version3.3.1 
Summary0034991: programmer's guide $packrecords directive: missing comma in enumeration
DescriptionA possible value is not really recognized as such because of a missing comma.
Additional InformationAlternatively, format it as a list.
Tagsdocumentation
Fixed in Revision1554
FPCOldBugId
FPCTarget
Attached Files
  • prog.tex.patch (489 bytes)
    --- prog.tex~	2019-02-01 19:10:00.297039304 +0000
    +++ prog.tex	2019-02-01 19:10:00.297039304 +0000
    @@ -1400,7 +1400,7 @@
     {$PACKRECORDS n}
     \end{verbatim}
     
    -Where \var{n} is one of 1, 2, 4, 8, 16, 32 \var{C}, \var{NORMAL} or \var{DEFAULT}
    +Where \var{n} is one of 1, 2, 4, 8, 16, 32, \var{C}, \var{NORMAL} or \var{DEFAULT}
     (or 0).
     This means that the elements of a record which have size greater than \var{n}
     will be aligned on \var{n} byte boundaries. Elements with size less than or
    
    prog.tex.patch (489 bytes)

Activities

Kai Burghardt

2019-02-01 20:10

reporter  

prog.tex.patch (489 bytes)
--- prog.tex~	2019-02-01 19:10:00.297039304 +0000
+++ prog.tex	2019-02-01 19:10:00.297039304 +0000
@@ -1400,7 +1400,7 @@
 {$PACKRECORDS n}
 \end{verbatim}
 
-Where \var{n} is one of 1, 2, 4, 8, 16, 32 \var{C}, \var{NORMAL} or \var{DEFAULT}
+Where \var{n} is one of 1, 2, 4, 8, 16, 32, \var{C}, \var{NORMAL} or \var{DEFAULT}
 (or 0).
 This means that the elements of a record which have size greater than \var{n}
 will be aligned on \var{n} byte boundaries. Elements with size less than or
prog.tex.patch (489 bytes)

Marco van de Voort

2019-02-02 01:07

manager   ~0113786

fixed in svn, will be visible next release, thanks

Issue History

Date Modified Username Field Change
2019-02-01 20:10 Kai Burghardt New Issue
2019-02-01 20:10 Kai Burghardt Status new => assigned
2019-02-01 20:10 Kai Burghardt Assigned To => Michael Van Canneyt
2019-02-01 20:10 Kai Burghardt File Added: prog.tex.patch
2019-02-01 20:10 Kai Burghardt Tag Attached: documentation
2019-02-02 01:07 Marco van de Voort Fixed in Revision => 1554
2019-02-02 01:07 Marco van de Voort Note Added: 0113786
2019-02-02 01:07 Marco van de Voort Status assigned => resolved
2019-02-02 01:07 Marco van de Voort Fixed in Version => 3.3.1
2019-02-02 01:07 Marco van de Voort Resolution open => fixed